#!/bin/bash

if [[ ${1} == "" ]]; then
	echo "You have to specify domain. Use: ./mailboxes_creator.sh domain.name"
	exit 1
fi 

domain=${1}

ip=$(/usr/local/mgr5/sbin/mgrctl -m ispmgr ipaddrlist | awk {'print $3'})
ip=${ip##*public_ip=}


/usr/local/mgr5/sbin/mgrctl -m ispmgr emaildomain.edit name=$domain owner=www-root ipsrc=$ip dmarc=on hidespamassassin=on greylist=off spamassassin=on dkim=on sok=ok

for mailbox in $(cat /root/bin/data/mailbox_list); do
        localpart=${mailbox%@*}
	pw=$(pwgen 13)
        /usr/local/mgr5/sbin/mgrctl -m ispmgr email.edit domainname=$domain greylist=off hidespamassassin=on passwd=$pw name=$localpart plid=$domain spamassassin=on sok=ok
	echo "${localpart}@${domain} - ${pw}" >> /root/bin/data/${1}_pw_list
done

/usr/local/mgr5/sbin/mgrctl -m ispmgr email.edit elid=customerservice@${domain} forward="agent01@$domain agent02@$domain agent03@$domain agent04@$domain agent05@$domain agent06@$domain agent07@$domain agent08@$domain agent09@$domain agent10@$domain agent11@$domain agent12@$domain agent13@$domain agent14@$domain agent15@$domain agent16@$domain agent17@$domain agent18@$domain agent19@$domain agent20@$domain agent21@$domain agent22@$domain agent23@$domain agent24@$domain agent25@$domain agent26@$domain agent27@$domain agent28@$domain agent29@$domain agent30@$domain agent31@$domain agent32@$domain agent33@$domain" sok=ok

cp /root/bin/data/template.com.xml /root/bin/data/$domain.xml
sed -i "s/template.com/$domain/g" /root/test/$domain.xml
